Summary: Multiprecision floating-point library with exact rounding
Name: mpfr
Version: 2.2.0
Release: 1
URL: http://www.mpfr.org/
Source: %{url}/%{name}-%{version}/%{name}-%{version}.tar.gz
License: LGPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automake autoconf libtool gmp-devel
Requires: gmp
BuildArch: %(arch)

%description
The MPFR library is a C library for multiple-precision floating-point
computations with exact rounding (also called correct rounding). It is
based on the GMP multiple-precision library and should replace the MPF
class in further releases of GMP.

The main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has a well-defined
semantics. It copies the good ideas from the ANSI/IEEE-754 standard for
double-precision floating-point arithmetic (53-bit mantissa).

%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Development/Libraries
Requires: %{name} = %{version}
PreReq: /sbin/install-info
Requires: gmp-devel
BuildArch: %(arch)

%description devel
The MPFR library is a C library for multiple-precision floating-point
computations with exact rounding (also called correct rounding). It is
based on the GMP multiple-precision library and should replace the MPF
class in further releases of GMP.

The main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has a well-defined
semantics. It copies the good ideas from the ANSI/IEEE-754 standard for
double-precision floating-point arithmetic (53-bit mantissa).

%prep
echo    "## Preparing to build %{name}-%{version}-%{release}.%{buildarch}"
%setup -q

%build
# aclocal
# libtoolize
# automake -a -c
# autoreconf
./configure				\
	--prefix=%{_prefix}		\
	--exec-prefix=%{_exec_prefix}	\
	--bindir=%{_bindir}		\
	--datadir=%{_datadir}		\
	--libdir=%{_libdir}		\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}		\
	--enable-shared

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
# mkdir -p "$RPM_BUILD_ROOT%{_includedir}/"
# mkdir -p "$RPM_BUILD_ROOT%{_libdir}/"
# mkdir -p "$RPM_BUILD_ROOT%{_infodir}/"
# install -m 644 .libs/libmpfr.a "$RPM_BUILD_ROOT%{_libdir}/libmpfr.a"
# install -m 755 .libs/libmpfr.so* "$RPM_BUILD_ROOT%{_libdir}/"
# install -m 644 mpfr.h mpf2mpfr.h "$RPM_BUILD_ROOT%{_includedir}/"
# install -m 644 mpfr.info "$RPM_BUILD_ROOT%{_infodir}/"
make install DESTDIR="$RPM_BUILD_ROOT"
rm -f "$RPM_BUILD_ROOT%{_libdir}/"*.la
rm -f "$RPM_BUILD_ROOT%{_infodir}/dir"
gzip -9 "$RPM_BUILD_ROOT%{_infodir}"/*.info

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
if [ "$1" = 1 ]; then
	/sbin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir
fi

%preun devel
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_infodir}/*.info*

%changelog
* Wed Sep 21 2005 Emmanuel Thom <Emmanuel.Thome@inria.fr> 2.2.0-1
- publicly released package
